View Issue Details

IDProjectCategoryView StatusLast Update
0015388LazarusLCLpublic2010-01-25 08:40
ReporterremovedAssigned ToJesus Reyes  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015388: Error: DBGrid1.Columns identifier idents no member "FieldName"
Descriptionprocedure TForm1.Button1Click(Sender: TObject);
begin
  DBGrid1.Columns.Add.FieldName := 'TestOK';
  TDBGridColumns(DBGrid1.Columns).Add.FieldName := 'Name1';
end;

  --------------------------------------

this code is ok on Delphi.
but lazarus cause error.

unit1.pas(34,23) Error: identifier idents no member "FieldName"
unit1.pas(43) Fatal: There were 1 errors compiling module, stopping
TagsNo tags attached.
Fixed in Revision23496
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2009-12-19 06:37 removed New Issue
2009-12-19 06:37 removed Widgetset => Win32/Win64
2009-12-19 21:49 Vincent Snijders Status new => assigned
2009-12-19 21:49 Vincent Snijders Assigned To => Vincent Snijders
2009-12-19 21:49 Vincent Snijders Assigned To Vincent Snijders => Jesus Reyes
2010-01-20 08:54 Jesus Reyes Fixed in Revision => 23496
2010-01-20 08:54 Jesus Reyes LazTarget => 0.9.30
2010-01-20 08:54 Jesus Reyes Status assigned => resolved
2010-01-20 08:54 Jesus Reyes Fixed in Version => 0.9.29 (SVN)
2010-01-20 08:54 Jesus Reyes Resolution open => fixed
2010-01-20 08:54 Jesus Reyes Target Version => 0.9.30
2010-01-25 08:40 removed Status resolved => closed